$fn=50;

module hline (distance) {
  translate([0,distance-1.5,0])
  union() {
  cube([84,3,0.75]);
  for (x = [0, 28, 56, 84]) {
    translate([x,1.5,0]) union() {
      cylinder(r=5.88,h=0.75);
      cylinder(r=3.38,h=7);
    }
  }
}
}

module vline (distance) {
  translate([distance-1.5,0,0]) cube([3,84,0.75]);
}

module lines () {
  for (distance = [0, 28, 56, 84]) {
    hline(distance);
    vline(distance);
  }
}

difference() {
  lines();
  for (x = [0, 28, 56, 84]) {
    for (y = [0, 28, 56, 84]) {
       translate([x,y,0])cylinder(r=2.88,h=7);
    }
  }
}
