$fn=30;

led1 = 4.9;
led2 = 6.0;
tolerance = 0.2;


module hline (distance) {
  translate([0,distance-1.5,0])
  union() {
  cube([84,3,0.75]);
  for (x = [0, 28, 56, 84]) {
    translate([x,1.5,0]) union() {
      cylinder(r=5.88,h=0.75);
      cylinder(r=0.9+(led1+tolerance)/2,h=10);
    }
  }
}
}

module vline (distance) {
  translate([distance-1.5,0,0]) cube([3,84,0.75]);
}

module lines () {
  for (distance = [0, 28, 56, 84]) {
    hline(distance);
    vline(distance);
  }
}

difference() {
  lines();
  for (x = [0, 28, 56, 84]) {
    for (y = [0, 28, 56, 84]) {
       translate([x,y,0])cylinder(r=(led1+tolerance)/2,h=10);
		 translate([x,y,8])cylinder(r=(led2+tolerance)/2,h=2);
    }
  }
}